SND_CTL_NEW1(9)

NAME
snd_ctl_new1 - create a control instance from the template

SYNOPSIS

struct snd_kcontrol * snd_ctl_new1 (const struct snd_kcontrol_new * ncontrol, void * private_data);

ARGUMENTS

ncontrol
    the initialization record

private_data
    the private data to set

DESCRIPTION

Allocates a new struct snd_kcontrol instance and initialize from the given template. When the access field of ncontrol is 0, it's assumed as READWRITE access. When the count field is 0, it's assumes as one.

Returns the pointer of the newly generated instance, or NULL on failure.